OGRE: Ogre::GpuLogicalIndexUse Struct Reference

| OGRE 14.5 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::GpuLogicalIndexUse Struct Reference
Core » Materials

Structure recording the use of a physical buffer by a logical parameter index. More...

`#include <OgreGpuProgramParams.h>`

## Public Member Functions
| GpuLogicalIndexUse ()
| GpuLogicalIndexUse (size_t bufIdx, size_t curSz, uint16 v, BaseConstantType t)

## Public Attributes
BaseConstantType | baseType
| Data type.
size_t | currentSize
| Current physical size allocation.
size_t | physicalIndex
| Physical buffer index.
uint16 | variability
| How the contents of this slot vary.

## Detailed Description

Structure recording the use of a physical buffer by a logical parameter index.

Only used for low-level programs.

## Constructor & Destructor Documentation

## ◆ GpuLogicalIndexUse() [1/2]

Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse | ( |  | ) |
| inline

References baseType, Ogre::BCT_UNKNOWN, currentSize, Ogre::GPV_GLOBAL, physicalIndex, and variability.

## ◆ GpuLogicalIndexUse() [2/2]

Ogre::GpuLogicalIndexUse::GpuLogicalIndexUse | ( | size_t | bufIdx,
|  | size_t | curSz,
|  | uint16 | v,
|  | BaseConstantType | t )
| inline

References baseType, currentSize, physicalIndex, and variability.

## Member Data Documentation

## ◆ physicalIndex

size_t Ogre::GpuLogicalIndexUse::physicalIndex

Physical buffer index.

Referenced by GpuLogicalIndexUse(), and GpuLogicalIndexUse().

## ◆ currentSize

size_t Ogre::GpuLogicalIndexUse::currentSize

Current physical size allocation.

Referenced by GpuLogicalIndexUse(), and GpuLogicalIndexUse().

## ◆ variability

uint16 Ogre::GpuLogicalIndexUse::variability
| mutable

How the contents of this slot vary.

Referenced by GpuLogicalIndexUse(), and GpuLogicalIndexUse().

## ◆ baseType

BaseConstantType Ogre::GpuLogicalIndexUse::baseType

Data type.

Referenced by GpuLogicalIndexUse(), and GpuLogicalIndexUse().

The documentation for this struct was generated from the following file:

- OgreGpuProgramParams.h